---
updatedAt: 2025-08-15T13:59:25.000Z
agentTools:
  projectIndex: https://developer.skovik.com/llms.txt
---

# Metadata

Most updatable objects support an external metadata attribute.

You can use the `external_metadata` attribute to attach key-value data.
This is useful for storing additional structured information about an object.
For example, you could store a unique identifier from your system on a user object,
a timestamp for the most recent update or a reference to the script that triggered the API-call.

External metadata will not modify or alter the behaviour of the Skovik system in any way.
In other words, there is no type of integration where you *need* to use external metadata.
It exists only to simplify certain types of integrations and only a fraction of integrations will ever need to use them.

You can have up to 5 keys, with key names up to 50 characters long and values up to 500 characters.
Both keys and values must be strings.

To remove an existing key-value pair, update the object with the value set to `null`.
This will remove the pair altogether.

External metadata is returned in API responses, and can be used to filter GET queries.

```HTTP
GET https://api.skovik.com/v1/users?external_metadata[user_ref]=003 HTTP/1.1
Accept: application/json
Authorization: Bearer <token>
Host: api.skovik.com

```

> 📘 Only for Advanced Integrations
> 95% of integrations with Skovik will not need to use external metadata.
> If you are not sure whether you need this or not, we suggest that you ignore this mechanism.